//priority: 0

onEvent('recipes', e => {

    removeRecipeByOutput(e, [
		MU('precision_shears'),
		PRE("dm_shears"),
		PRE("rm_shears"),
    ])

	//unstable
	e.custom({
        input: [
			{ item: KJ('1m_component_wafer') },
			{ item: MC('shears') },
			{ item: KJ('1m_component_wafer') },
			{ item: IF("plastic") },
			{ item: IF("plastic") },
			{ item: SS("red_nether_star") },
			{ item: PREXP("magnum_star_zwei") }, //400.64 mil
			{ item: SS("red_nether_star") }
        ],
        inputFluid: "{FluidName:\"industrialforegoing:latex\",Amount:8000}",
        processingTime: 400,
        output: {
          item: MU("precision_shears"),
          count: 1
        },
        type: IF("dissolution_chamber")
    }).id(KJ("precision_shears"))

	//dm
	e.recipes.extendedcrafting.shaped_table(PRE('dm_shears'), shearTemplates.ultimate, {
		A: PREXP('magnum_star_drei'), // 1.6 bil
		B: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:shadow_steel" }),
		C: KJ('4m_component_wafer'),
		D: MU("precision_shears"),
		E: PRE('dark_matter_block'),
		F: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:dark_matter" }),
		G: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:antimatter_relay_mk2" }),
	}).id(KJ("dm_shears"))


    //rm
    e.custom({
        input: [
			{ item: SS('red_nether_star') },
			{ item: PRE("dm_shears") },
			{ item: SS('red_nether_star') },
			{ item: PRE("red_matter_block") },
			{ item: PRE("red_matter_block") },
			{ item: PREXP("dark_power_flower") },
			{ item: PREXP("magnum_star_drei") }, //1.6 bil
			{ item: PREXP("dark_power_flower") }
        ],
        inputFluid: "{FluidName:\"boss_tools:oil\",Amount:8000}",
        processingTime: 400,
        output: {
          item: PRE("rm_shears"),
          count: 1
        },
        type: IF("dissolution_chamber")
    }).id(KJ("rm_shears"))
})